"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinearGradient = void 0;
var _reactNative = require("react-native");
var _react = require("react");
var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));
var _rgb2hex = _interopRequireDefault(require("rgb2hex"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var AnimatedInterpolation = _reactNative.Animated.AnimatedInterpolation;
const useAnimatedColor = animatedValue => {
  const [color, setColor] = (0, _react.useState)(''); // начальное значение по умолчанию

  (0, _react.useEffect)(() => {
    // Подписываемся на изменения animatedValue
    animatedValue.addListener(({
      value
    }) => {
      setColor(value);
    });

    // Очистка подписки при размонтировании
    return () => {
      animatedValue.removeAllListeners();
    };
  }, [animatedValue]);
  return color;
};
const LinearGradient = ({
  color0: animatedColor0,
  color1: animatedColor1,
  children,
  start,
  end,
  gradientStyle
}) => {
  const color0 = useAnimatedColor(animatedColor0);
  const color1 = useAnimatedColor(animatedColor1);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeLinearGradient.default, {
    colors: [color0, color1].map(c => (0, _rgb2hex.default)(c).hex),
    start: start,
    end: end,
    style: gradientStyle,
    children: children
  });
};
exports.LinearGradient = LinearGradient;
//# sourceMappingURL=LinearGradient.js.map