"use strict";

import { Animated } from 'react-native';
import { useEffect, useState } from 'react';
import NativeLinearGradient from 'react-native-linear-gradient';
import rgb2hex from 'rgb2hex';
import { jsx as _jsx } from "react/jsx-runtime";
var AnimatedInterpolation = Animated.AnimatedInterpolation;
const useAnimatedColor = animatedValue => {
  const [color, setColor] = useState(''); // начальное значение по умолчанию

  useEffect(() => {
    // Подписываемся на изменения animatedValue
    animatedValue.addListener(({
      value
    }) => {
      setColor(value);
    });

    // Очистка подписки при размонтировании
    return () => {
      animatedValue.removeAllListeners();
    };
  }, [animatedValue]);
  return color;
};
export const LinearGradient = ({
  color0: animatedColor0,
  color1: animatedColor1,
  children,
  start,
  end,
  gradientStyle
}) => {
  const color0 = useAnimatedColor(animatedColor0);
  const color1 = useAnimatedColor(animatedColor1);
  return /*#__PURE__*/_jsx(NativeLinearGradient, {
    colors: [color0, color1].map(c => rgb2hex(c).hex),
    start: start,
    end: end,
    style: gradientStyle,
    children: children
  });
};
//# sourceMappingURL=LinearGradient.js.map